<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;
use Illuminate\Database\Eloquent\SoftDeletes;
class Employee  extends Model

{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    use HasFactory;
    use SoftDeletes;
   
    protected $fillable = [
        'client_id', 'employee_code', 'first_name', 'last_name', 'email', 'phone', 'cnic', 'gender', 'date_of_birth', 'joining_date', 'department_id', 'designation_id', 'shift_id', 'employment_type', 'basic_salary', 'bank_name', 'bank_account_number', 'address', 'picture', 'resume', 'skills', 'status', 
    ];

   
    
 
    public function Client(){
        return $this->belongsTo(Client::class);
    }

    public function Department(){
        return $this->belongsTo(Department::class);
    }

    public function Designation(){
        return $this->belongsTo(Designation::class);
    }

    public function Shift(){
        return $this->belongsTo(Shift::class);
    }
 
    
}
